Subject: bug#21260: 23.2; Devanagari windows 10

From: Jim Funderburk <[email-masked]>
Date: Sun, 16 Aug 2015 16:21:44 -0400

Dear Eli -
  Please refer to this dropbox link for images: 
https://www.dropbox.com/s/dqxe4edz5d4nmnc/emacs-gdi.zip?dl=0
   1. Opening with gdi is a move in the right direction. Here's the 
command used:
       c:\emacs-23.2\bin\emacs.exe -Q -xrm Emacs.fontBackend:gdi 
c:/Users/Jim/Dropbox/ejf/devanagari_example.txt
      The result is shown in 'open_with_gdi.png' -  the Devanagari renders
   2. Not all is exactly right, however.  Notice the highlighted part of 
other image (open-with_gdi_prob.png)
       When I moved the mouse and clicked on a character in the last 
line,  the rendering of the character changed
        Obviously, it should not do this.  [This happens elsewhere, on 
most, but not all characters.]
        However, things are definitely better with this option.
I'll respond to the 2nd email separately.
Thanks,
  Jim

On 8/15/2015 10:40 PM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Jim Funderburk <[email-masked]>
>> Date: Sat, 15 Aug 2015 15:55:23 -0400
>>
>>     Here is another dropbox link with further info you requested:
>> https://www.dropbox.com/s/3er09sc7jc8m5kc/emacs-devanagari.zip?dl=0
>>     There are two images:
>>     1. emacs-devanagari.png    This is a screen shot of me opening up the
>> file
>>        in Emacs via  command line,  and of what the file looks like on my
>> system.
>>        It looks like all boxes.
>>     2. emacs-Ctl-h-H.png     This is screen shot of what emacs shows
>> after Ctl-h-H command.
>>          As you can see, the South Asian language shows up in boxes,
>> also  'Hindi' and 'Kannada'
>>          Also  (maybe outside of the image)  Tamil and Telugu - all South
>> Asian languages.
>>     You asked what font -  when I do menu Options/Set Default Font, it
>> shows as Courier New.
>>         I have tried changing to Arial, Lucida Sans Unicode, Consolas
>> with no improvement.
>>      Note:  I thought maybe  this is due to a deficiency in the fonts in
>> Windows 10.  However,
>>                  When I open the file in Notepad,   the Devanagari
>> displays just fine;  Notepad
>>                   shows that it is using Consolas Font.
>>      Note2:  Also, I have a Windows Vista system and this displays fine
>> in the same Emacs 23 on that system.
>>      Note3:  ALso, I tried Emacs 24 on Windows 10, and the same problem
>> occurs.
>>
>>      So, As of now, it seems like there is a bug in displaying South
>> Asian Unicode text in Emacs on Windows 10.
> Does this work better?
>
>    emacs -Q -xrm Emacs.fontBackend:gdi
>